%define	cvstag	PACKAGE_3_00_1

Summary:	The EnGarde Secure Linux Installer.
Group:		System Environment/Base
License:	GPL
Name:		einstall
Version:	3.00
Release:	1
Source0:	%{name}-%{cvstag}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
The EnGarde Secure Linux Installer (einstall) is a newt-based installer
for the EnGarde Secure Linux operating system.  This package should
never be installed or run on a live system.

%files
  %defattr(0444,root,root,0555)

  %attr(0644,root,root)		%{_sysconfdir}/lang-table
  %attr(0755,root,root)		%{_root_bindir}/find-kernel-version
  %attr(0755,root,root)		%{_root_bindir}/makedev
  %attr(0755,root,root)		%{_root_bindir}/rpm_inst
  %attr(0755,root,root)		%{_root_bindir}/scan_pci_bus
  %attr(0755,root,root)		%{_prefix}/lib/livecd/einstall
  %attr(0755,root,root)		%{_prefix}/lib/livecd/livecd.pl
  %attr(0755,root,root)		%{_root_sbindir}/mkraid

%prep
%setup -q -n %{name}-%{cvstag}

%build
  make %{?_smp_mflags}

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  install -d $RPM_BUILD_ROOT/%{_prefix}/lib/livecd
  install -d $RPM_BUILD_ROOT/%{_root_bindir}
  install -d $RPM_BUILD_ROOT/%{_root_sbindir}
  install -d $RPM_BUILD_ROOT/%{_sysconfdir}

  install install			$RPM_BUILD_ROOT/%{_prefix}/lib/livecd/einstall
  install scripts/discover-einstall	$RPM_BUILD_ROOT/%{_root_bindir}/scan_pci_bus
  install scripts/find-kernel-version	$RPM_BUILD_ROOT/%{_root_bindir}
  install scripts/lang-table		$RPM_BUILD_ROOT/%{_sysconfdir}
  install scripts/livecd.pl		$RPM_BUILD_ROOT/%{_prefix}/lib/livecd
  install scripts/makedev		$RPM_BUILD_ROOT/%{_root_bindir}
  install scripts/mkraid		$RPM_BUILD_ROOT/%{_root_sbindir}
  install scripts/rpm_inst		$RPM_BUILD_ROOT/%{_root_bindir}

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Sep 26 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 3.00, Release 1
  - First production-ready version for EnGarde Secure Linux 3.0.
  - Previous changelog entries removed.
